Last Comment Bug 353785 - Gnomestripe: make the tab strip look native
: Gnomestripe: make the tab strip look native
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All Linux
: -- enhancement with 2 votes (vote)
: Firefox 3 beta2
Assigned To: Ryan Flint [:rflint] (ping via IRC for reviews)
:
: Dão Gottwald [:dao]
Mentors:
http://dbaron.org/log/2006-09#e20060921a
: 354960 399801 (view as bug list)
Depends on: 399937 409523
Blocks: 233462 NewTheme 401931
  Show dependency treegraph
 
Reported: 2006-09-22 02:10 PDT by Dão Gottwald [:dao]
Modified: 2009-06-04 03:44 PDT (History)
34 users (show)
mconnor: blocking‑firefox3-
reed: wanted‑firefox3+
rflint: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Some screenshots (298.93 KB, image/jpeg)
2006-09-24 10:17 PDT, Marek Stępień [:marcoos, inactive]
no flags Details
Patch (6.58 KB, patch)
2007-10-16 02:38 PDT, Michael Ventnor
no flags Details | Diff | Splinter Review
Example how the add-ons dialog is supposed to render in a GTK environment (52.46 KB, image/png)
2008-01-01 23:26 PST, Lars Strojny
no flags Details

Description Dão Gottwald [:dao] 2006-09-22 02:10:07 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20060922 Minefield/3.0a1
Build Identifier: 

I think Gnomestripe should use native-looking tabs. Contrary to Windows, I have yet to see a screenshot where the new tabs look and fit better.

Reproducible: Always
Comment 1 Marek Stępień [:marcoos, inactive] 2006-09-24 10:17:25 PDT
Created attachment 239915 [details]
Some screenshots

...including GTK accessibility themes.
Comment 2 Marek Stępień [:marcoos, inactive] 2006-09-24 10:23:50 PDT
As you can see in the attached screenshot, the desired goal to make the active tab more distinct than the inactive is not achieved in most of the themes - the  native look is better and more distinct.

Also this new tab bar looks really silly with minimalistic themes.
Comment 3 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-09-30 10:33:37 PDT
*** Bug 354960 has been marked as a duplicate of this bug. ***
Comment 4 Marek Stępień [:marcoos, inactive] 2006-09-30 11:01:18 PDT
Until this is fixed, a local workaround, for all of you suffering from this bug, is to replace skin/classic/global/browser.css in chrome/classic.jar with this version:

http://beta.aviary.pl/marcoos/theme/browser.css

(I took it from the QuBranch theme).
Comment 5 Michiel van Leeuwen (email: mvl+moz@) 2006-10-29 06:09:59 PST
Why is this marked WONTFIX? Without a reason for that, this bug is still (very) valid.
Comment 6 Michiel van Leeuwen (email: mvl+moz@) 2006-10-29 06:15:50 PST
still valid for trunk
Comment 7 Dão Gottwald [:dao] 2006-10-29 10:29:18 PST
(In reply to comment #5)
> Why is this marked WONTFIX? Without a reason for that, this bug is still (very)
> valid.

"Won't fix" doesn't mean it's invalid.
It was just my guess, because Firefox 2 is released and going back seems unlikely. Plus, the response to this bug wasn't too overwhelming.
Comment 8 Martin Stubenschrott 2007-04-12 18:27:08 PDT
Why do you think, you should work around a "limitation" of Gnome/windows themes to make the active tab button more prominent? Rather create a "better" gnome/windows theme than making firefox less native again :(

It may look ok in default gnome/windows installs, but on minimalistic/flat gtk+ themes, it just stand out sooo much. At least some (easy) userChrome.css option for this would be nice.
Comment 9 Marek Stępień [:marcoos, inactive] 2007-04-13 01:30:20 PDT
(In reply to comment #8)
> At least some (easy) userChrome.css option
> for this would be nice.

See comment 4.

Comment 10 Martin Stubenschrott 2007-04-13 03:01:39 PDT
(In reply to comment #9)
> (In reply to comment #8)
> > At least some (easy) userChrome.css option
> > for this would be nice.
> 
> See comment 4.

Oh I am so sorry, I even tried that before but was stupid to exchange /skin/classic/browser/browser.css instead of
/skin/classic/global/browser.css

Still no perfect solution, as one has to repeat this thing every time you upgrade Firefox, but at least it looks perfect now, thanks a lot!
Comment 11 Jonathan Haas 2007-10-12 05:59:20 PDT
AFAIK these self-painted tab bars were only introduced, to work around the not-so-high-contrast native design of Windows. This is not needes on Linux as there is no "default" Design. Our tabbar looks out of place in many gtk-themes, too.
Comment 12 Mike Connor [:mconnor] 2007-10-12 08:24:32 PDT
We're going to do this, partly for perf reasons, but also because unlike Windows, "native" tabs are actually used in other browsers.  Not a blocker though.
Comment 13 Ryan Flint [:rflint] (ping via IRC for reviews) 2007-10-15 19:11:25 PDT
*** Bug 399801 has been marked as a duplicate of this bug. ***
Comment 14 Michael Ventnor 2007-10-16 02:38:21 PDT
Created attachment 285065 [details] [diff] [review]
Patch

This patch seems to do it. It will actually end up making the tabbar more native than Fx1.5, because this patch will use the stock close icon on the close buttons, as Epiphany uses.
Comment 15 Ryan Flint [:rflint] (ping via IRC for reviews) 2007-10-16 04:56:14 PDT
Considering that I've already done this and that hacking up winstripe is wrong direction to be headed in, I'm going to go ahead and take this back, but thanks anyway.
Comment 16 Michael Ventnor 2007-10-16 05:13:05 PDT
OK, sorry.
But for bug 399937 to be fixed, to end winstripe hacking, wouldn't we need to wait for the new icon set to be made, or will we just copy over Winstripe's images?
Comment 17 Michael Ventnor 2007-10-16 05:14:18 PDT
Oh, and did you use the stock close icon in your patch? That would greatly increase the native feel of the tabbar, pushing us beyond Fx 1.5.
Comment 18 Ryan Flint [:rflint] (ping via IRC for reviews) 2007-10-16 23:09:36 PDT
I've got a few patches I'd like to get into winstripe to cut it down a bit before requesting the CVS copies (should have that done before the end of the week). If the new icon set's already in by then or reviewed/ready, I'll just change or exclude it from the copy and get it taken care of before we make gnomestripe part of the build.

I used the stock icon on the tabs, but kept the current winstripe version for the tab strip button because it looked a little out of place there - I'll try it again once I've got the changes to the tab strip/tab backgrounds in.
Comment 19 Serhiy 2007-10-17 02:07:07 PDT
I'm sorry but what about Qt/KDE? Linux is not just a Gnome. And as a developer myself I can tell you that Qt4 is far more superior than the gtk+. So having so many noice about Gnome/Gtk+ are you planning to implement this for qt also?

Thanks.
Comment 20 Michael Ventnor 2007-10-17 02:11:30 PDT
Firefox is a GTK application on Linux, and always has been. Mike Connor said on his blog that the reason we don't support Qt is because there are no volunteers willing to implement all of the Mozilla platform in Qt. And there is no need to start another Qt vs GTK war.
Comment 21 Reed Loden [:reed] (use needinfo?) 2007-10-17 02:12:44 PDT
(In reply to comment #19)
> I'm sorry but what about Qt/KDE? Linux is not just a Gnome. And as a developer
> myself I can tell you that Qt4 is far more superior than the gtk+. So having so
> many noice about Gnome/Gtk+ are you planning to implement this for qt also?

Quoting from http://steelgryphon.com/blog/?p=108, "Qt doesn’t get much love, but we’ve asked/begged/pleaded for interest, and no one really seems to have it, including the distros that invest time into Firefox". So, if you're willing and offering to help, jump right in! :)
Comment 22 Serhiy 2007-10-17 03:28:23 PDT
I thought that Mozilla is a organization which is focused on the developing of Firefox browser. It receives donations from different organizations. And according to some articles I've read (for example http://slashdot.org/article.pl?sid=07/05/21/156213) it has a solid revenue. Looking at these numbers (from the article above) I am sure that this revenue many times exceeds the revenue of software company I work in. I am telling this because I was sure that you (Mozilla Foundation) have full time dedicated developers that work on Firefox.

Unfortunately I currently can't participate in a open source project like Firefox due to some personal reasons.

Firefox is an open source project and this allows every interested person to participate in. And volunteering is important for the open source project. But I thought you have full time dedicated developers that work only on Firefox. That is why I had no idea that volunteering is so important for Firefox. 

In my imagination Mozilla Foundation is a large organization with a lot of dedicated full time payed developers which produce a product. I understand that volunteering is critical for a small open source project without payed developers. But frankly speaking I thought that due to a serious support and donations from different organizations Firefox is in absolutely different situation. If I am wrong about this I can understand this.

But I say it again, I always thought of Mozilla Foundation as about organization  which has enough support to be able to produce a product without volunteering help. And looking at some of your documentation like
http://developer.mozilla.org/en/docs/Configuring_Build_Options 
I thought that you are working on Qt support (Graphics Toolkit section of above page).

I do not want to start any "war" or even argument. But from you words it seems that Firefox can't be developed without volunteering help. I was absolutely positive that it is not true. But from your words it seems that I was wrong.
Comment 23 Michael Ventnor 2007-11-13 16:44:54 PST
Ryan, I'm using Gnomestripe now due to my own Makefile. You checked in the native tabbar earlier and it works very well. One caveat is that the tab throbber no longer works. Its due to this:

.tabbrowser-tab[busy] > .tab-icon-image {                                       
  list-style-image: url("chrome://global/skin/throbber/Throbber-small.gif") !imp
ortant;
  opacity: 0.6;
}

which should be:

.tabbrowser-tab[busy] .tab-icon-image {

since tab-icon-image is not a _direct_ child of the tab. Same goes for the -moz-grab rule below that.
Comment 24 Ryan Flint [:rflint] (ping via IRC for reviews) 2007-11-13 16:57:24 PST
(In reply to comment #23)
It's going to be a direct child soon, you'll need to apply this patch in the interim: http://pastebin.mozilla.org/241948
Comment 25 Ryan Flint [:rflint] (ping via IRC for reviews) 2007-11-14 23:10:26 PST
Fixed by turning on Gnomestipe.
The issues noted in comment 23 will go away once bug 387345 lands.
Comment 26 Joe Smith 2007-11-26 22:49:05 PST
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b2pre) Gecko/2007112619 Minefield/3.0b2pre ID:2007112619


(In reply to comment #23)
> One caveat is that the tab throbber no longer works.

Tab throbber (rotating image shown while a tab is loading) WFM.

Comment 27 Kevin Brosnan 2007-11-27 06:48:41 PST
v. Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b2pre) Gecko/2007112704 Minefield/3.0b2pre ID:2007112704
Comment 28 Lars Strojny 2008-01-01 23:24:29 PST
This bug is still valid for the preferences dialog as well as the add-ons dialog. I think it should be reopened.
Comment 29 Lars Strojny 2008-01-01 23:26:19 PST
Created attachment 295070 [details]
Example how the add-ons dialog is supposed to render in a GTK environment
Comment 30 Reed Loden [:reed] (use needinfo?) 2008-01-01 23:27:57 PST
(In reply to comment #28)
> This bug is still valid for the preferences dialog as well as the add-ons
> dialog. I think it should be reopened.

File another bug.

Note You need to log in before you can comment on or make changes to this bug.